%define url_ver %(echo %{version}|cut -d. -f1,2)
%define name mate-window-manager
%define oname  marco
%define major 0
%define libname %mklibname marco-private %{major}
%define develname %mklibname -d marco-private

Summary:       Mate window manager
Name:          %{name}
Version:       1.6.2
Release:       %mkrel 2
URL:           http://www.mate-desktop.org/
Source0:       http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# use oxygen as our default theme
Source1:       http://gnome-look.org/CONTENT/content-files/76582-Oxygen_Accurate_Installation_Files.tar.bz2
License:       GPLv2+
Group:         Graphical desktop/MATE

BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: mate-dialogs
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libcanberra-gtk)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(pangoxft)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: libmesaglu-devel

Requires:       mate-dialogs
Provides:       %{oname} = %{version}-%{release}
Obsoletes:      %{oname} =< %{version}-%{release}

%description
The Mate window manager integrates nicely with MATE.

%package -n %{libname}
Summary:        Libraries for Mate window manager
Group:          System/Libraries

%description -n %{libname}
This package contains libraries used by Mate window manager.

%package -n %{develname}
Summary:        Libraries and include files with Mate window manager
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{oname}-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include 
files to allow you to develop with Mate window manager.

%prep
%setup -q -b1

pushd "../Oxygen Accurate Installation Files"
tar xf OxygenAccurate.tar.gz
popd

%build
%configure2_5x \
        --disable-static \
        --disable-scrollkeeper

%make

%install
%makeinstall_std

%find_lang %{oname}

rm -fr %buildroot%{_libdir}/*.la

pushd "../Oxygen Accurate Installation Files/Oxygen Accurate"
mkdir -p %{buildroot}%{_datadir}/themes/oxygnome
cp -fr metacity-1 %{buildroot}%{_datadir}/themes/oxygnome/metacity-1
popd

%files -f %{oname}.lang
%doc README NEWS HACKING
%{_bindir}/*
%{_datadir}/mate-control-center/keybindings/50-marco-*.xml
%{_datadir}/applications/marco.desktop
%{_datadir}/mate/wm-properties/marco-wm.desktop
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.mate.marco.gschema.xml
%{_datadir}/MateConf/gsettings/marco.convert
%{_datadir}/themes/*
%{_mandir}/man1/*
%{_datadir}/mate/help/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc ChangeLog
%{_bindir}/marco-theme-viewer
%{_bindir}/marco-window-demo
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man1/marco-theme-viewer.1.*
%{_mandir}/man1/marco-window-demo.1.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 531049
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 445465
- imported package mate-window-manager

